Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.websocket
Class WebSocketBuffers

    java.lang.Object
      org.eclipse.jetty.websocket.WebSocketBuffers

    public class WebSocketBuffers

extends java.lang.Object

The WebSocket Buffer Pool. The normal buffers are byte array buffers so that user processes can access directly. However the generator uses direct buffers for the final output stage as they are filled in bulk and are more effecient to flush.

Constructor Summary
`WebSocketBuffers(int bufferSize)`

Method Summary
`Buffer` | `getBuffer()`
`int` | `getBufferSize()`
`Buffer` | `getDirectBuffer()`
`void` | `returnBuffer(Buffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSocketBuffers

    public WebSocketBuffers(int bufferSize)

Method Detail

### getBuffer

    public Buffer getBuffer()

### getDirectBuffer

    public Buffer getDirectBuffer()

### returnBuffer

    public void returnBuffer(Buffer buffer)

### getBufferSize

    public int getBufferSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.